added possibility to specify local path
ClosedPublic

Authored by schnere on Aug 29 2017, 8:46 AM.

Diff Detail

Repository
R69 KDevelop Upload
Lint
Lint Skipped
Unit
Unit Tests Skipped
schnere created this revision.Aug 29 2017, 8:46 AM
Restricted Application added a subscriber: kdevelop-devel. · View Herald TranscriptAug 29 2017, 8:46 AM
kfunk added a subscriber: kfunk.Aug 30 2017, 1:38 PM

Rest LGTM, but I just looked briefly.

uploadprofiledlg.cpp
137

#else path not needed, we require Qt 5.5

uploadprofiledlg.h
69

Unused?

uploadprofileitem.h
23

Just remove Qt::UserRole+2 and the enum values below.

kfunk requested changes to this revision.Aug 30 2017, 1:38 PM
This revision now requires changes to proceed.Aug 30 2017, 1:38 PM
schnere marked 2 inline comments as done.Aug 30 2017, 2:23 PM
schnere added inline comments.
uploadprofileitem.h
23

I've just adapted what was already there.

It seems the developer of the plugin has used the different Qt::UserRole as keys to store multiple configuration values in a single QStrandardItem?
So it might be not a perfect solution, but removing the "keys" would cause a lot of work?

kfunk added inline comments.Aug 30 2017, 2:26 PM
uploadprofileitem.h
23

I meant just removing the enum values, not the enums themselves. Hard-coding the values in case you just want normal numbering is not necessary.

Example:
enum { A = 1, B, C }; => B will be 2, C will be 3 automatically.

schnere marked 2 inline comments as done.Aug 30 2017, 2:33 PM
schnere added inline comments.
uploadprofileitem.h
23

Ah, sry - misunderstood , I thought you meant to remove the lines or even the whole enum...

schnere updated this revision to Diff 18966.Aug 30 2017, 2:39 PM
schnere marked an inline comment as done.

fixed requested changes

kfunk accepted this revision.Aug 30 2017, 3:53 PM

LGTM, just had brief look though.

Can you commit yourself?

This revision is now accepted and ready to land.Aug 30 2017, 3:53 PM
In D7597#141470, @kfunk wrote:

Can you commit yourself?

You mean pushing my commits to the repository? I don't think that I've permissions to do this?!

aacid closed this revision.Sep 11 2017, 8:20 PM